Package javax.mail

# Class Provider.Type

java.lang.Object
javax.mail.Provider.Type

Enclosing class:
  Provider

public static class Provider.Type extends Object
This inner class defines the Provider type. Currently, STORE and TRANSPORT are the only two provider types supported.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Provider.Type`
`STORE`
`static final Provider.Type`
`TRANSPORT`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### STORE

public static final Provider.Type STORE

### TRANSPORT

public static final Provider.Type TRANSPORT

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`